#!/usr/bin/env bash
#
# Copyright 2009-2021 The VOTCA Development Team (http://www.votca.org)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

#path is never empty
PATH="/usr/local/bin:${PATH}"
#debian wants to have : at the end
MANPATH="/usr/local/man:${MANPATH}"
LD_LIBRARY_PATH="/usr/local/lib${LD_LIBRARY_PATH:+:}${LD_LIBRARY_PATH}"

VOTCASHARE="/usr/local/share/votca"

export PATH MANPATH LD_LIBRARY_PATH VOTCASHARE

if [ -n "/usr/local/lib/python3.8/site-packages" ]; then
  PYTHONPATH="/usr/local/lib/python3.8/site-packages${PYTHONPATH:+:}${PYTHONPATH}"
  export PYTHONPATH
fi

#bash completion
if [ -n "$BASH_VERSION" ]; then 
  for comp in "${VOTCASHARE}"/rc/*completion.bash; do
    [ -r "$comp" ] && source "$comp"
  done
  unset comp
fi
